locked
The Xap version number needs to be higher than previous version RRS feed

  • Question

  • I am submitting an updated Silverlight 8.1 app. However, I keep getting an error:

    The Xap version number needs to be higher than previous version: 3.3.2.0 .

    I have changed the version number of the app to 3.4.2.0 in the WMAppManifest.xml and AssemblyInfo.cs files. I can't see where the DEV Center code analyzer is inspecting the number and getting 3.3.2.0 (probably from the previous 8.0 and 8.1 packages?).

    Where am I supposed to change this?

    I have tried to submit by removing all the previous package from my submission, saved, then opened the packages section and uploaded the new package.

    What do I need to do to submit the package? I have been trying to resolve this for over a month! If anyone has any ideas, please let me know what I need to do? I have paying customers that I cannot get them the latest version!

    Tuesday, December 22, 2015 4:23 PM

All replies

  • I'm not sure this is the same issue, but I had a problem where it would say my newly submitted update was older than the current one and would be removed, even though it showed a newer version on the new update. I get around this by clicking revert on the new update, and then delete on the old one
    • Proposed as answer by GansTver Friday, December 25, 2015 8:35 PM
    • Unproposed as answer by biconix Sunday, December 27, 2015 5:52 PM
    Friday, December 25, 2015 8:25 PM
  • I am afraid that this is not like the problem I am facing. I am not able to submit the new version even though I have already deleted the older version from the submission
    Sunday, December 27, 2015 5:53 PM